<?php

function commerce_ecpay_settings_form($form,&$form_state){

  $form['ecpay_status']=array(
    '#type' => 'radios',
    '#title'=>t('ECPAY System Status'),
    '#description'=>t('Choose the system status。For Example, Test Environment or Production Environment'),
    '#options' => array(
        'dev' => t('Test Environment'),
        'production' => t('Production Environment'),
    ),
    '#default_value' => !empty(variable_get("ecpay_status"))?variable_get("ecpay_status"):'dev',
    '#required' => TRUE,
    '#weight'=>0,
  );

  $form['ecpay_MerchantID'] = array(
    '#type'=>'textfield',
    '#title'=>t('MerchantID'),
    '#description'=>t('The MerchantID provided by the ECPAY Company. (Testing Environment: 2000132)'),
    '#maxlength' => 255,
    '#size' => 30,
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_MerchantID"))?variable_get("ecpay_MerchantID"):'2000132',
    '#weight'=>1,
  );

  $form['ecpay_HashKey'] = array(
    '#type'=>'textfield',
    '#title'=>t('HashKey'),
    '#description'=>t('The Hashkey provided by the ECPAY Company. (Testing Environment:5294y06JbISpM5x9)'),
    '#maxlength' => 255,
    '#size' => 30,
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_HashKey"))?variable_get("ecpay_HashKey"):'5294y06JbISpM5x9',
    '#weight'=>2,
  );

  $form['ecpay_HashIV'] = array(
    '#type'=>'textfield',
    '#title'=>t('HashIV'),
    '#description'=>t('The HashIV provided by the ECPAY Company.(Testing Environment:v77hoKGq4kWxNNIS)'),
    '#maxlength' => 255,
    '#size' => 30,
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_HashIV"))?variable_get("ecpay_HashIV"):'v77hoKGq4kWxNNIS',
    '#weight'=>3,
  );

  $form['ecpay_TradeDesc'] = array(
    '#type'=>'textarea',
    '#title'=>t('Transaction Description'),
    '#description'=>t('The transaction description is sent to ecpay per order.'),
    '#required' => TRUE,
    '#default_value' => !empty(variable_get("ecpay_TradeDesc"))?variable_get("ecpay_TradeDesc"):t('Buy Something using Commerce Ecpay AllInOne Module created by HelloSanta Corp.'),
    '#weight'=>3,
  );

  $form['ecpay_submit']=array(
    '#type'=>'submit',
    '#weight'=>10,
    '#value'=>t('Save'),
  );
  return $form;
}

function commerce_ecpay_settings_form_submit($form,&$form_state){
  $ecpay_status = $form_state['values']['ecpay_status'];
  $ecpay_MerchantID = $form_state['values']['ecpay_MerchantID'];
  $ecpay_HashKey = $form_state['values']['ecpay_HashKey'];
  $ecpay_HashIV = $form_state['values']['ecpay_HashIV'];

  variable_set('ecpay_status',$ecpay_status);
  variable_set('ecpay_MerchantID',$ecpay_MerchantID);
  variable_set('ecpay_HashKey',$ecpay_HashKey);
  variable_set('ecpay_HashIV',$ecpay_HashIV);

  drupal_set_message(t('Succeed'));
}

 ?>
